SDL_GPUBufferRegion Struct Reference

`#include <SDL_gpu.h>`

## Data Fields

SDL_GPUBuffer * | buffer
Uint32 | offset
Uint32 | size

## Detailed Description

A structure specifying a region of a buffer.

Used when transferring data to or from buffers.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_UploadToGPUBuffer
  SDL_DownloadFromGPUBuffer

Definition at line 1523 of file SDL_gpu.h.

## Field Documentation

## buffer

SDL_GPUBuffer* SDL_GPUBufferRegion::buffer

The buffer.

Definition at line 1525 of file SDL_gpu.h.

## offset

Uint32 SDL_GPUBufferRegion::offset

The starting byte within the buffer.

Definition at line 1526 of file SDL_gpu.h.

## size

Uint32 SDL_GPUBufferRegion::size

The size in bytes of the region.

Definition at line 1527 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h